Handle revision deletion properly
Closed, ResolvedPublic

Description

We don't respect rev_del.

We should.

That is all :)


Version: master
Severity: normal

bzimport added a project: CirrusSearch.Via ConduitNov 22 2014, 2:14 AM
bzimport set Reference to bz58366.
demon created this task.Via LegacyDec 12 2013, 12:45 AM
Manybubbles added a comment.Via ConduitDec 12 2013, 1:31 PM

I bet we lost this when I stopped using SearchEngine and went to linksupdate. Bad hook, bad. I'd love to implement a regression test for this as well.

gerritbot added a comment.Via ConduitDec 13 2013, 10:33 PM

Change 101447 had a related patch set uploaded by Chad:
Respect revision deletion in CirrusSearch

https://gerrit.wikimedia.org/r/101447

Manybubbles added a comment.Via ConduitDec 16 2013, 4:37 PM

I went to go and implement a regression test for this. I just wanted to confirm that we mean the feature here: https://www.mediawiki.org/wiki/Manual:RevisionDelete . Specifically, hiding the revision text.

gerritbot added a comment.Via ConduitDec 18 2013, 1:54 AM

Change 101447 merged by jenkins-bot:
Respect revision deletion in CirrusSearch

https://gerrit.wikimedia.org/r/101447

Deskana moved this task to Resolved/Invalid/Declined/Legacy on the CirrusSearch workboard.Via WebMon, Apr 20, 4:09 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.